Redeploy an existing deployment.
Beta API
The /v1 API contract may change, including breaking changes without compatibility aliases.
/v1/apps/{appId}/deployments/{deploymentId}/redeployUses the original target if target is omitted. Setting applyComputeSettings to true applies saved app compute settings, like Apply now in the console; configured fields take precedence over existing file and CLI flag values, except for port. Values in nitroship.json or CLI flags overwrite console settings on every deployment, but you can save console settings and apply them with Apply now until the next deployment. Corresponds to the ntro redeploy command. Only users with a verified email can use this.
Authorization
bearerAuth Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/apps/string/deployments/string/redeploy" \ -H "Content-Type: application/json" \ -d '{}'{ "deployment": { "appId": "string", "createdAt": "string", "errorCode": "string", "fileCount": 0, "id": "string", "meta": true, "preview": { "capturedAt": "string", "image": { "token": "string", "version": "string" }, "status": "string" }, "readyAt": "string", "redeployOf": "string", "shortId": "string", "status": "string", "target": "string", "totalBytes": 0, "url": "string", "urls": [ "string" ] }}